Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class BetaRejectionLoglogisticGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.BetaGen
              umontreal.iro.lecuyer.randvar.BetaRejectionLoglogisticGen

    public class BetaRejectionLoglogisticGen

extends BetaGen

Implements Beta random variate generators using the rejection method with log-logistic envelopes. The method draws the first two uniforms from the main stream and uses the auxiliary stream for the remaining uniforms, when more than two are needed (i.e., when rejection occurs).

Constructor Summary
`BetaRejectionLoglogisticGen(RandomStream s, BetaDist dist)` Same as `BetaRejectionLoglogisticGen` `(s, s, dist)`.
`BetaRejectionLoglogisticGen(RandomStream s, double alpha, double beta)` Creates a beta random variate generator with parameters α = `alpha` and β = `beta`, over the interval (0, 1), using stream `s`.
`BetaRejectionLoglogisticGen(RandomStream s, double alpha, double beta, double a, double b)` Creates a beta random variate generator with parameters α = `alpha` and β = `beta`, over the interval (`a`, `b`), using stream `s`.
`BetaRejectionLoglogisticGen(RandomStream s, RandomStream aux, BetaDist dist)` Creates a new generator for the distribution `dist`, using stream `s` and auxiliary stream `aux`.
`BetaRejectionLoglogisticGen(RandomStream s, RandomStream aux, double alpha, double beta)` Creates a beta random variate generator with parameters α = `alpha` and β = `beta` over the interval (0, 1), using main stream `s` and auxiliary stream `aux`.
`BetaRejectionLoglogisticGen(RandomStream s, RandomStream aux, double alpha, double beta, double a, double b)` Creates a beta random variate generator with parameters α = `alpha` and β = `beta` over the interval (`a`, `b`), using main stream `s` and auxiliary stream `aux`.

Method Summary
`RandomStream` | `getAuxStream()` Returns the auxiliary stream associated with that object.
`double` | `nextDouble()` Generates a random number from the continuous distribution contained in this object.

Methods inherited from class umontreal.iro.lecuyer.randvar.BetaGen
`getA, getAlpha, getB, getBeta, nextDouble`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       RandomStream aux,
                                       double alpha,
                                       double beta)

  Creates a beta random variate generator with parameters α = `alpha` and β = `beta` over the interval (0, 1), using main stream `s` and auxiliary stream `aux`. The auxiliary stream is used when a random number of uniforms is required for a rejection-type generation method.

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       double alpha,
                                       double beta)

  Creates a beta random variate generator with parameters α = `alpha` and β = `beta`, over the interval (0, 1), using stream `s`.

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       RandomStream aux,
                                       double alpha,
                                       double beta,
                                       double a,
                                       double b)

  Creates a beta random variate generator with parameters α = `alpha` and β = `beta` over the interval (`a`, `b`), using main stream `s` and auxiliary stream `aux`. The auxiliary stream is used when a random number of uniforms is required for a rejection-type generation method.

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       double alpha,
                                       double beta,
                                       double a,
                                       double b)

  Creates a beta random variate generator with parameters α = `alpha` and β = `beta`, over the interval (`a`, `b`), using stream `s`.

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       RandomStream aux,
                                       BetaDist dist)

  Creates a new generator for the distribution `dist`, using stream `s` and auxiliary stream `aux`. The main stream is used for the first uniforms (before a rejection occurs) and the auxiliary stream is used afterwards (after the first rejection).

### BetaRejectionLoglogisticGen

    public BetaRejectionLoglogisticGen(RandomStream s,
                                       BetaDist dist)

  Same as `BetaRejectionLoglogisticGen` `(s, s, dist)`. The auxiliary stream used will be the same as the main stream.

Method Detail

### getAuxStream

    public RandomStream getAuxStream()

  Returns the auxiliary stream associated with that object.

### nextDouble

    public double nextDouble()

  Description copied from class: `RandomVariateGen`
  Generates a random number from the continuous distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextDouble` in class `RandomVariateGen`
  Returns:
    the generated value

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.